<!DOCTYPE html>
<html>
<head>
    <title>Selecteurs</title>
    <meta charset="utf-8">
    <link rel="stylesheet" href="css/cours.css">
    <script src='js/selecteur_1.js' async ></script>
</head>

<body>
    <h1 class='bleu'>Titre principal</h1>
    <p id='p1'>Un paragraphe</p>
    <div>
        <p>Un paragraphe dans le div</p>
        <p class='bleu'>Un autre paragraphe dans le div</p>
    </div>
    <p>Un autre paragraphe</p>

    <ul>
        <li>
            Si <strong>async</strong> est présent : Le script est exécuté de manière asynchrone avec le reste de la page (le script sera exécuté pendant que la page continue l'analyse)
        </li>
        <li>
            Si <strong>async</strong> n'est pas présent et que <strong>defer</strong> est présent : Le script est exécuté lorsque la page a terminé son analyse
        </li>
        <li>
            Si ni <strong>async</strong> ni <strong>defer</strong> n'est présent : Le script est récupéré et exécuté immédiatement, avant que le navigateur ne poursuive l'analyse de la page
        </li>

    </ul>


</body>
</html>

